System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection System.ComponentModel.ListBindable(false)

This class is created by to collect instances of the class. always contains at least one instance of the class.

Collects all errors generated by the .NET Framework Data Provider for SQL Server. This class cannot be inherited.

- Method
  System.Void `` `` To be added

  Copies the elements of the collection into an , starting at the specified index.

  The to copy elements into. The index from which to start copying into the parameter. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the collection into a , starting at the specified index.

  The to copy the elements into. The index from which to start copying into the parameter.
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of errors in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator

  Enumerators can be used to read the data in a collection, but they cannot be used to modify the underlying collection.

  Returns an enumerator that iterates through the .

  An for the .

  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.SqlClient.SqlError `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .